#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Crypto
version: 4.2.5.1
id: Crypto-4.2.5.1-201c92e416f9be2df4d75462e384e0be
key: Crypt_DI20CqNUCRO1lzrUqMLhtW
license: OtherLicense
copyright: Dominic Steinitz 2003 - 2007
maintainer: Caylee Hogg <caylee.hogg@gmail.com>
stability: Alpha
synopsis: Collects together existing Haskell cryptographic functions into a package
description:
    DES, Blowfish, AES, TEA, SHA1, MD5, RSA, BubbleBabble,
    Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5
    Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package,
    with HUnit and QuickCheck tests, and examples.
category: Cryptography, Codec
author: Dominic Steinitz
exposed: True
exposed-modules:
    Codec.Binary.BubbleBabble Codec.Encryption.RSA
    Codec.Encryption.RSA.EMEOAEP Codec.Encryption.RSA.MGF
    Codec.Encryption.RSA.NumberTheory Codec.Encryption.DES
    Codec.Encryption.AES Codec.Encryption.TEA Codec.Encryption.Blowfish
    Codec.Encryption.Modes Codec.Encryption.Padding Codec.Text.Raw
    Codec.Utils Data.Digest.MD5 Data.Digest.SHA1 Data.Digest.SHA2
    Data.Digest.SHA224 Data.Digest.SHA256 Data.Digest.SHA384
    Data.Digest.SHA512 Data.LargeWord Data.HMAC
hidden-modules: Codec.Encryption.BlowfishAux
                Codec.Encryption.DESAux Codec.Encryption.AESAux Data.Digest.MD5Aux
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/Crypto-4.2.5.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/Crypto-4.2.5.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/Crypto-4.2.5.1
hs-libraries: HSCrypto-4.2.5.1-DI20CqNUCRO1lzrUqMLhtW
include-dirs: /usr/local/include
depends:
    HUnit-1.2.5.2-2ccd5d1f1253b86a64a3a98c54ce2f34
    QuickCheck-2.8.1-e0a8ce16831e8763b673779676610877
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    pretty-1.1.2.0-b0c90c4562609e57954c7f75231d980f
    random-1.1-3dda2690fd91339395d65768b92ac58f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/Crypto-4.2.5.1/html/Crypto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/Crypto-4.2.5.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
